
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch fixes section type conflict about mpc30x

  CC      arch/mips/pci/fixup-mpc30x.o
arch/mips/pci/fixup-mpc30x.c:26: error: internal_func_irqs causes a section type conflict
make[1]: *** [arch/mips/pci/fixup-mpc30x.o] Error 1
make: *** [arch/mips/pci] Error 2

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/pci/fixup-mpc30x.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/mips/pci/fixup-mpc30x.c~mips-fix-section-type-conflict-about-mpc30x arch/mips/pci/fixup-mpc30x.c
--- 25/arch/mips/pci/fixup-mpc30x.c~mips-fix-section-type-conflict-about-mpc30x	2005-03-06 20:01:45.000000000 -0800
+++ 25-akpm/arch/mips/pci/fixup-mpc30x.c	2005-03-06 20:01:45.000000000 -0800
@@ -29,7 +29,7 @@ static const int internal_func_irqs[] __
 	VRC4173_USB_IRQ,
 };
 
-static char irq_tab_mpc30x[] __initdata = {
+static const int irq_tab_mpc30x[] __initdata = {
  [12] = VRC4173_PCMCIA1_IRQ,
  [13] = VRC4173_PCMCIA2_IRQ,
  [29] = MQ200_IRQ,
_
